org.eclipse.cdt.utils.xcoff.parser

## Class XCOFF32Parser

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.core.AbstractCExtension
    - - org.eclipse.cdt.utils.xcoff.parser.XCOFF32Parser

All Implemented Interfaces:
  IBinaryParser, ICExtension, org.eclipse.core.runtime.IAdaptable

    public class XCOFF32Parser
    extends AbstractCExtension
    implements IBinaryParser

XCOFF 32bit binary parser for AIX

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.IBinaryParser

`IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryExecutable, IBinaryParser.IBinaryFile, IBinaryParser.IBinaryObject, IBinaryParser.IBinaryShared, IBinaryParser.ISymbol`

### Constructor Summary

Constructors
Constructor and Description
`XCOFF32Parser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `getAdapter(Class<T> adapter)`
`IBinaryParser.IBinaryFile` `getBinary(byte[] hints, org.eclipse.core.runtime.IPath path)` Creates an IBinaryFile.
`IBinaryParser.IBinaryFile` `getBinary(org.eclipse.core.runtime.IPath path)` Creates an IBinaryFile.
`String` `getFormat()` Returns the name of the Format.
`int` `getHintBufferSize()` Get a hint of the needed buffer size to recognize the file.
`boolean` `isBinary(byte[] hints, org.eclipse.core.runtime.IPath path)` True if the resource is a binary.

### Methods inherited from class org.eclipse.cdt.core.AbstractCExtension

`getConfigExtensionReference, getExtensionReference, getProject, setExtensionReference, setExtensionReference, setProject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XCOFF32Parser

    public XCOFF32Parser()

### Method Detail

#### getBinary

    public IBinaryParser.IBinaryFile getBinary(byte[] hints,
                                               org.eclipse.core.runtime.IPath path)
                                        throws IOException

Description copied from interface: `IBinaryParser`
Creates an IBinaryFile.

Specified by:
  `getBinary` in interface `IBinaryParser`
Parameters:
  `hints` - - array byte that can be use to recognise the file. Can be null or empty array when no hints are passed.
Throws:
  `IOException`

#### getBinary

    public IBinaryParser.IBinaryFile getBinary(org.eclipse.core.runtime.IPath path)
                                        throws IOException

Description copied from interface: `IBinaryParser`
Creates an IBinaryFile.

Specified by:
  `getBinary` in interface `IBinaryParser`
Throws:
  `IOException`

#### getFormat

    public String getFormat()

Description copied from interface: `IBinaryParser`
Returns the name of the Format.

Specified by:
  `getFormat` in interface `IBinaryParser`

#### isBinary

    public boolean isBinary(byte[] hints,
                            org.eclipse.core.runtime.IPath path)

Description copied from interface: `IBinaryParser`
True if the resource is a binary.

Specified by:
  `isBinary` in interface `IBinaryParser`

#### getHintBufferSize

    public int getHintBufferSize()

Description copied from interface: `IBinaryParser`
Get a hint of the needed buffer size to recognize the file.

Specified by:
  `getHintBufferSize` in interface `IBinaryParser`

#### getAdapter

    public <T> T getAdapter(Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.core.runtime.PlatformObject`